:root {
    --bg: #0a0a0a;
    --card: #111111;
    --border: #222222;
    --text: #ffffff;
    --muted: #9a9a9a;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background: var(--bg);
    color: var(--text);
    font-family: Inter, sans-serif;
}

.container {
    width: 90%;
    max-width: 1200px;
    margin: auto;
}

section {
    padding: 10px 0;
}

.navbar {
    position: sticky;
    top: 0;
    z-index: 1000;

    background: rgba(10, 10, 10, 0.85);

    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);

    border-bottom: 1px solid #222;
}

.nav-container {
    max-width: 1300px;
    margin: 0 auto;

    height: 72px;

    padding: 0 32px;

    display: flex;
    align-items: center;
    justify-content: space-between;
}

.brand {
    display: flex;
    align-items: center;
    gap: 10px;

    text-decoration: none;
    color: white;
}

.logo {
    width: 32px;
    height: 32px;
    border-radius: 20%;
    overflow: hidden;
}

.brand img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: scale(1.15);
}

.brand span {
    font-size: 1.2rem;
    font-weight: 700;
    letter-spacing: -0.03em;
}

.nav-links {
    display: flex;
    align-items: center;
    gap: 28px;
}

.nav-links a {
    color: #a1a1aa;

    text-decoration: none;

    font-size: 0.95rem;
    font-weight: 500;

    transition: color 0.2s ease;
}

.nav-links a:hover {
    color: white;
}




.hero {
    min-height: calc(100vh - 100px);

    display: flex;
    align-items: center;
    justify-content: center;

    padding: 30px 32px;
}

.hero-container {
    max-width: 900px;
    text-align: center;
    display: flex;
    gap: 100px;
}


.hero-badge {
    display: inline-block;

    padding: 8px 16px;

    border: 1px solid #222;

    border-radius: 999px;

    color: #a1a1aa;

    font-size: 0.9rem;

    margin-bottom: 24px;
}

.hero h1 {
    font-size: 5rem;
    font-weight: 800;

    letter-spacing: -0.06em;

    margin-bottom: 24px;
}

.hero-description {
    max-width: 550px;

    margin: 0 auto;

    color: #a1a1aa;

    font-size: 1.2rem;
    line-height: 1.8;

    margin-bottom: 40px;
}

.hero-buttons {
    display: flex;
    justify-content: center;
    gap: 16px;

    margin-bottom: 60px;
}

.btn-primary {
    background: white;
    color: black;

    padding: 14px 24px;

    border-radius: 10px;

    font-weight: 600;

    text-decoration: none;
}

.btn-secondary {
    border: 1px solid #222;

    color: white;

    padding: 14px 24px;

    border-radius: 10px;

    text-decoration: none;
}

.terminal-preview {
    text-align: left;
    background: #111;
    border: 1px solid #222;
    border-radius: 16px;
    padding: 24px;
    width: 400px;
    margin: 0 auto;
    height: 400px;
}

.terminal-preview pre {
    margin: 0;

    color: #d4d4d4;

    font-family: Consolas, monospace;

    line-height: 1.8;
}
.terminal-header{
    display:flex;
    gap:8px;
    margin-bottom:20px;
}

.terminal-header span{
    width:10px;
    height:10px;
    border-radius:50%;
    background:#444;
}

.primary-btn,
.secondary-btn {
    padding: 14px 26px;
    border-radius: 10px;
    text-decoration: none;
}

.primary-btn {
    background: white;
    color: black;
}

.secondary-btn {
    border: 1px solid var(--border);
    color: white;
}



h2 {
    text-align: center;
    margin-bottom: 40px;
    font-size: 2.5rem;
}

/* section2 */
.about {
    padding: 30px 0;
}

.about-container {
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 24px;
}

.about h4 {
    font-size: 3rem;
    margin-bottom: 40px;
    line-height: 1.1;
    text-align: center;
}

.about p {
    color: #a1a1aa;

    font-size: 1.1rem;
    line-height: 1.9;

    margin-bottom: 24px;
}

.about strong {
    color: white;
}

.learn-more {
    display: inline-flex;
    align-items: center;
    gap: 0.9rem;
    text-align: center;


    color: #fff;
    text-decoration: underline;
    font-weight: 600;
}


@media (max-width: 768px) {

    .about h2 {
        font-size: 2.2rem;
    }

    .thermal-flow {
        flex-direction: column;
    }

    .arrow {
        transform: rotate(90deg);
    }
}

/* section 3 */

.section-tag{
    display: none;
}

.features {
    padding-top: 100px;
    padding-bottom: 50px;
}

.features-container {
    width: min(1400px, 92%);
    margin: 0 auto;
}

.features h4 {
    font-size: 3rem;
    text-align: center;
    margin-bottom: 20px;
}

.features-subtitle {
    max-width: 700px;
    margin: 0 auto 70px;

    text-align: center;

    color: #a1a1aa;

    font-size: 1.1rem;
    line-height: 1.8;
}

.features-grid {
    display: grid;

    grid-template-columns: repeat(4, 1fr);

    gap: 24px;
}

.feature-card {
    background: #111111;

    border: 1px solid #222222;

    border-radius: 18px;

    padding: 32px;

    min-height: 100px;

    transition: all 0.25s ease;
}

.feature-card:hover {
    transform: translateY(-4px);

    border-color: #333333;
}

.feature-card h3 {
    font-size: 1.25rem;

    margin-bottom: 16px;

    color: white;
}

.feature-card p {
    color: #a1a1aa;

    line-height: 1.8;
}

@media (max-width: 1100px) {

    .features-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 700px) {

    .features h2 {
        font-size: 2.5rem;
    }

    .features-grid {
        grid-template-columns: 1fr;
    }
}

/* section 4 */
.architecture-container {
    width: min(1200px, 92%);
    margin: 0 auto;
}

.architecture h4 {
    text-align: center;
    font-size: 3rem;
    margin-top: 30px;
    margin-bottom: 20px;
}

.architecture-subtitle {
    max-width: 700px;
    margin: 0 auto 30px;

    text-align: center;
    color: #a1a1aa;

    line-height: 1.8;
}

.architecture-image-wrapper { 
    background: #111111; 
    border: 1px solid #222222; 
    border-radius: 24px; 
    padding: 24px; 
    overflow: hidden; 
    max-width: 800px; 
    margin: 0 auto; 
}

.architecture-image { 
    display: block; 
    width: 100%; 
    max-width: 700px; 
    height: auto; 
    margin: 0 auto; 
    border-radius: 12px; 
}

/* footer */
.footer {
    margin-top: 120px;

    padding: 40px 20px;

    border-top: 1px solid #222;

    text-align: center;
}

.footer-links {
    display: flex;
    justify-content: center;
    gap: 32px;

    margin-bottom: 20px;

    flex-wrap: wrap;
}

.footer-links a {
    color: #a1a1aa;
    text-decoration: none;
}

.footer-links a:hover {
    color: white;
}

.footer-text {
    color: #666;
    font-size: 0.9rem;
}